Subject: bug#78363: Home is read-only in guix shell container

From: keinflue <[email-masked]>
Date: Sun, 11 May 2025 12:16:14 +0000

Oh ok, if that is intentionally including the home directory, then 
everything is ok. I missed the --writable-root option when reading the 
man page.

This can be closed then.

On 11.05.2025 13:44, Rutherther wrote:
>> I am not sure whether this is intended behavior, but it seems weird to
>> me. Inside e.g.
>> 
>> guix shell -Cu test coreutils
>> 
>> /home/test is mounted read-only and I do not see any way to make it
>> writable without sharing a host directory.
> 
> Yes this is intentional. The root has been changed to read only
> recently. See the guix news. Use --writable-root to restore the
> previous behavior.